--- title: "QueryData" slug: "management-cloudinsight-querydata" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-querydata" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # QueryData Available in Classic and VPC Get the time-series data collected by Cloud Insight. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/data/query | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body See [DataQueryRequest](/docs/en/common-vapidatatype-cidataqueryrequest) for more information about the fields related to data query request information. Note When entering a request body, see the following: - If the aggregation function (`aggregation`) configured when registering the schema and the aggregation of the data query request do not match, the data cannot be retrieved. - The recommended query period (`timeEnd`~`timeStart`) varies depending on the data aggregation interval (`interval`). For more information, see [Recommended query period by data aggregation interval](https://guide.ncloud-docs.com/docs/en/cloudinsight-spec#%EB%8D%B0%EC%9D%B4%ED%84%B0-%EC%A7%91%EA%B3%84-%EC%A3%BC%EA%B8%B0%EB%B3%84-%EA%B6%8C%EC%9E%A5-%EC%A1%B0%ED%9A%8C-%EA%B8%B0%EA%B0%84). ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/data/query' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "timeEnd": **********, "timeStart": **********, "cw_key": "**********", "productName":"System/Server(VPC)", "metric": "avg_cpu_used_rto", "interval": "Min1", "aggregation": "AVG", "dimensions": { "instanceNo": "**********" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | Array | - | Query result - Display in the data point (Unix timestamp format) and data value format | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ [ 1733184480000, 0.3678916 ], [ 1733184540000, 0.33438668 ], [ 1733184600000, 0.32612613 ], [ 1733184660000, 0.32586497 ], [ 1733184720000, 0.30105397 ], [ 1733184780000, 0.35094023 ] ] ```